=== debian/changelog ===
ganglia (3.1.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: aborting due to unexpected upstream changes": use
    dh_autotools-dev_* helper tools for handling config.{guess,sub} in
    debian/rules, make build dependency on autotools-dev versioned, remove
    respective hunks from debian/patches/debian-changes-3.1.7-2.
    (Closes: #651320)
  * Now the package builds once but not twice in a row due to auto-generated
    files; clean them in debian/rules, and remove them from
    debian/patches/debian-changes-3.1.7-2.
  * Fix "post-installation script returns error exit status 1" and "post
    install script fails to add the ganglia user":
    patch from Ubuntu / Mark Mims:
    - Fix options on useradd in postinst. (LP: #854866)
    (Closes: #626407, #561199)

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Jan 2012 16:55:13 +0100

ganglia (3.1.7-2) unstable; urgency=low
  
  * Stop ganglia-monitor from changing permissions on /var/lib/ganglia
    in postinst. Closes: #586909
  * Switch from adduser to useradd in postinst and prerm. Closes: #620505 
  * Include Danish debconf template. Closes: #605328
  * Remove la files from dependency_libs. Closes: #621232 #620721
  * Switch to dpkg-source 3.0 (quilt) format

 -- Stuart Teasdale <sdt@debian.org>  Thu, 07 Apr 2011 21:26:32 +0100

ganglia (3.1.7-1) unstable; urgency=low

  * New upstream version. Closes: #584276. 
  * Bump of standards-version to 3.8.4 
  * Add build-dep on libpcre3-dev

 -- Stuart Teasdale <sdt@debian.org>  Tue, 15 Jun 2010 22:33:13 +0100

ganglia (3.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Michal Simunek).  Closes: #538741
    - Italian (Vincenzo Campanella).  Closes: #556105
    - Czech (Michal Simunek).  Closes: #574010

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Mar 2010 00:45:10 +0100

ganglia (3.1.2-3) unstable; urgency=high

  * Adjust the default umask of the daemons. Closes: #567175
  * Fix in postinst to change the umask of existing rrds
  * Add build dependency for libdbi0-dev. Closes: #569395
  * Horrid directory mangling in postinst hacked around for permissions 

 -- Stuart Teasdale <sdt@debian.org>  Sat, 13 Feb 2010 23:15:02 +0000

ganglia (3.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload by arrangement with maintainer.

  [ Jonathan Wiltshire ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #539204
  * Debconf translation updates:
     - Swedish (closes: #539217)
     - Finnish (closes: #539325)
     - Czech (closes: #539614)
     - Basque (closes: #539872)
     - French (closes: #540038)
     - Italian (closes: #540200)
     - German (closes: #540220)
     - Spanish (closes: #540708)
     - Portugese (closes: #540769)
     - Russian (closes: #540849)
     - Vietnamese (closes: #547916)
     - Japanese (closes: #551022)
  * Refactor ganglia-webfrontend.{post,pre}inst for changed templates, and
    simultaneously purge old code now that apache2 is the only package in
    Squeeze. Use the a2enmod and a2dismod helpers to enable and disable the
    Apache module instead of directly creating symbolic links.

  [ Christian Perrier ]
  * Debconf translation updates:
    - Galician (Marce Villarino).  Closes: #555451

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Nov 2009 22:02:43 +0100

ganglia (3.1.2-2) unstable; urgency=low

  * Tweaks to ganglia-webfrontend debconf templates
  * If we have an old gmond.conf convert it. Closes: #512154 
  * Changes to the example apache aliases. Closes: #518255

 -- Stuart Teasdale <sdt@debian.org>  Thu, 02 Jul 2009 19:59:35 +0100

ganglia (3.1.2-1) experimental; urgency=low

  * New upstream version with security fixes. (Closes: #512365.)
  * Include the gmond.conf manpage in the ganglia-monitor package.
    Closes: #512695.
  * Fix up the apache config stub. Closes: #512153.

 -- Stu Teasdale <sdt@debian.org>  Sat, 31 Jan 2009 21:43:26 +0000

ganglia (3.1.1-3)
experimental; urgency=low

  * Extra dependencies to allow php5-gd to be loaded 
  * Fix gmond.conf to run gmond as the ganglia user. Closes: #510381

 -- Stu Teasdale <sdt@debian.org>  Tue,  6 Dec 2008 13:30:30 +0000

ganglia (3.1.1-2) experimental; urgency=low

  * Ensure all archs use $prefix/lib for library installs. 
    Closes: #507008.
  * Build option tweaks
  * Ensure graph.d is correctly pulled in. Closes: #507012.
  * actually ship the apapche.conf 

 -- Stuart Teasdale <sdt@debian.org>  Wed, 12 Nov 2008 21:47:51 +0000

ganglia (3.1.1-1) experimental; urgency=low

  * New upstream version
  * Fix libganglia1 version dependencies
  * Change maintainer to sdt@debian.org
  * Add explicit libxml2-dev build-dep. Closes: #493947.

 -- Stuart Teasdale <sdt@debian.org>  Sun, 31 Aug 2008 10:34:13 +0100

ganglia (3.1.0-1) experimental; urgency=low

  * New Upstream version
  * Includes ganglia-webfrontend package. Closes: #284346.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sun, 29 Jun 2008 10:13:45 +0100

ganglia-monitor-core (2.5.7-2) unstable; urgency=low

  * Autoreconfed again for mips/mipsel shared library support.
    Closes: #285212.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 11 Dec 2004 18:07:29 +0000

ganglia-monitor-core (2.5.7-1) unstable; urgency=low

  * New upstream release, closes #281526.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 20 Nov 2004 13:06:30 +0000

ganglia-monitor-core (2.5.5-8) unstable; urgency=low

  * Friendly package takeover, thanks to Preston Smith for his work up to
    now.
  * New maintainer is Stuart Teasdale.
  * New uploaders are Stephen Quinney and Andrew Stribblehill.
  * Removed conflicts with firebird2-utils-super and
    firebird2-utils-classic. firebird2 changed the name of its gstat
    binary to fbstat, closes: #281527.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue, 16 Nov 2004 18:40:32 +0000


