=== debian/changelog ===
ganglia (3.3.8-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Add a README.Debian.security file discussing limited security support for
    this package (closes: #702775). 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Mar 2013 18:52:40 +0000

ganglia (3.3.8-1) unstable; urgency=low

  * Check URL arguments thoroughly (Closes: #683584)
  * Fix un-initialized return code variable
  * Fix memory leak
  * Fix issue where Ganglia fails to start with NetworkManager
    (Closes: #638628)
  * Extra logging of buffer sizes for troubleshooting a common problem
  * Add Daniel Pocock as uploader (Debian Maintainer)
  * Add VCS URLs to control file.
  * PO translation didn't get into the package properly.

  [ Stuart Teasdale ]
  * Stop deleting web/version.php during clean as it comes from upstream

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 13 Aug 2012 15:17:28 +0200

ganglia (3.3.5-2) unstable; urgency=low

  * Add dutch translation. Closes: #658494.
  * Activated hardening flags from dpkg-buildflags. Closes: #655126.
  * Change pid file generation so the daemons do it. 
    Closes: #651293 #526146 #65124
  * Add httpd to the depends: for the web front end. Closes: #578620.
  * New translation for Polish. Closes: #667085.
  * New translation for Brazilian Portuguese. Closes: #667563.

 -- Stuart Teasdale <sdt@debian.org>  Thu, 05 Apr 2012 18:27:56 +0100

ganglia (3.3.5-1) experimental; urgency=low

  * New upstream version

 -- Stuart Teasdale <sdt@debian.org>  Tue, 27 Mar 2012 22:22:03 +0100

ganglia (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Thu, 08 Mar 2012 20:11:24 +0000

ganglia (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Sat, 21 Jan 2012 10:35:23 +0000
