=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,11 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -22,16 +23,22 @@
 
 config.status: configure
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	# Just in case, make sure changelog exists
+	touch ChangeLog
 	# Add here commands to configure the package.
-#	autoreconf
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+	# Intermittent errors about missing Tpo files appear during
+	# the build, many people have suggested running autoreconf
+	# before a build can avert that:
+	autoreconf --install && (cd libmetrics && autoreconf --install)
+	#chmod +x configure libmetrics/configure
+	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--libdir=\$${prefix}/lib \
 		--sysconfdir=/etc/ganglia \
 		--infodir=\$${prefix}/share/info --enable-shared \
-		--with-gmetad  
+		--with-gmetad
 build: build-stamp
+	make -C web
 
 build-stamp:  config.status
 	dh_testdir
@@ -45,7 +52,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
@@ -54,7 +61,8 @@
 	-rm -f libtool.old \
 		ganglia-config contrib/ganglia_gmond.xml gmetad/gmetad.conf \
 		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo \
-		web/version.php web/conf.php
+		web/conf.php
+	-rm -rf debian/patches/ .pc/
 	debconf-updatepo
 	dh_autotools-dev_restoreconfig
 	dh_clean
@@ -64,7 +72,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	
+
 	# Add here commands to install the package into debian/ganglia.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
 
@@ -76,11 +84,22 @@
 	# Seed the package directories
 	dh_install --sourcedir=debian/tmp
 
+	# Install the python modules
+	mkdir -p debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	mkdir -p debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
+	cp debian/modpython.conf debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	cp gmond/python_modules/*/*.pyconf* \
+		debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	cp gmond/python_modules/*/*.py \
+		debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
+
 #Install webfrontend
-	      cp -a web/*.php web/*.css web/templates web/graph.d \
-                 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend
-	      cp web/private_clusters debian/apache.conf \
+	$(MAKE) -C web install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend/usr/share/ganglia-webfrontend  GWEB_STATEDIR=$(CURDIR)/debian/ganglia-webfrontend/var/lib
+	mkdir -p debian/ganglia-webfrontend/etc/apache2/conf.d/
+	cp -f web/debian/apache.conf \
 		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
+	cp -f web/debian/conf_debian.php \
+		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -97,16 +116,16 @@
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
-	
+
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
-	dh_installdocs -pganglia-monitor -Xlibganglia 
-	dh_installdocs -plibganglia1-dev 
-	dh_installdocs -plibganglia1 
+#	dh_installdebconf
+	dh_installdocs -pganglia-monitor -Xlibganglia
+	dh_installdocs -plibganglia1-dev
+	dh_installdocs -plibganglia1
 	dh_installdocs -pgmetad
 	cp $(CURDIR)/gmetad/gmetad.conf $(CURDIR)/debian/gmetad/etc/ganglia
 	cp $(CURDIR)/debian/gmond.conf $(CURDIR)/debian/ganglia-monitor/etc/ganglia
@@ -131,4 +150,4 @@
 	dh_builddeb -s
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install
