## ganglia 3.6.0

=== debian/changelog ===
ganglia (3.6.0-6ubuntu4) xenial; urgency=medium

  * Build-depend on zlib1g-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 17:07:02 +0100

ganglia (3.6.0-6ubuntu3) xenial; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 16:45:18 +0100

ganglia (3.6.0-6ubuntu2) xenial; urgency=medium

  * Fix build dependency on librrd-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 15:52:22 +0100

ganglia (3.6.0-6ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 14:36:06 +0000

ganglia (3.6.0-6) unstable; urgency=medium

  * Fix for missing service file. (Closes: #764836)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 12 Oct 2014 13:25:45 +0200

ganglia (3.6.0-5ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.
  * Declare "XS-Testsuite: autopkgtest" so that the tests are actually run.
  * Add missing service file for gmond.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Oct 2014 13:45:49 +0100

ganglia (3.6.0-5) unstable; urgency=medium

  * Add force option to autoreconf.  (Closes: #726396)

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 04 Oct 2014 12:33:42 +0200

ganglia (3.6.0-4) unstable; urgency=medium

  * Add README.source

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 13:40:37 +0200

ganglia (3.6.0-3) unstable; urgency=medium

  * Fix for missing service file. (Closes: #759940)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 11:58:04 +0200

ganglia (3.6.0-2) unstable; urgency=low

  * Fix for kFreeBSD builds

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 05 Sep 2013 11:53:06 +0200

ganglia (3.6.0-1ubuntu2) saucy; urgency=low

  * Convert autoreconf handling to dh-autoreconf.
  * Pass --force to autoreconf so that it updates config.guess and
    config.sub (closes: #541107).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 12:43:52 +0100

ganglia (3.6.0-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 10:17:59 +0100

ganglia (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Add a debian/watch file.
  * Stop removing debian/patches directory in clean target so that we
    can include patches to upstream.
  * Fix truncation of large block sizes in disk space reporting
    (Closes: Bug#694623).
  * Update Maintainer and VCS entries for entry to pkg-monitoring on alioth

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 16:27:26 +0200

ganglia (3.3.8-1+nmu1ubuntu3) saucy; urgency=low

  * Depend on libgd3 rather than libgd2-noxpm | libgd2-xpm.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 09:48:45 +0100

ganglia (3.3.8-1+nmu1ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:31:58 +0200

ganglia (3.3.8-1+nmu1ubuntu1) raring; urgency=low

  * debian/{ganglia-monitor,gmetad}.upstart: Upstartify init scripts.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 22 Mar 2013 00:51:27 -0400

ganglia (3.3.8-1ubuntu1) raring; urgency=low

  * Upstartify init scripts (LP: #656427, LP: #1078711).

 -- Jonathan Davies <jonathan.davies@canonical.com>  Wed, 14 Nov 2012 15:23:46 +0000
