=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ganglia
 Section: net
 Priority: optional
-Maintainer: Stuart Teasdale <sdt@debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Homepage: http://www.ganglia.info/
-Build-Depends: debhelper (>> 5.0.0), librrd2-dev, autoconf, autotools-dev, automake, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, libtool, rsync
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/collab-maint/ganglia.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ganglia.git;a=summary
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Monitoring Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
+Uploaders: Stuart Teasdale <sdt@debian.org>, Daniel Pocock <daniel@pocock.pro>
+Homepage: http://ganglia.info/
+Build-Depends: debhelper (>> 9.0.0), librrd-dev, zlib1g-dev, dh-autoreconf, pkg-config, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, rsync, libkvm-dev [kfreebsd-any]
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-monitoring/ganglia.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-monitoring/ganglia.git
+XS-Testsuite: autopkgtest
 
 Package: ganglia-monitor
 Architecture: any
@@ -58,14 +60,3 @@
  .
  This package contains development libraries.
 
-Package: ganglia-webfrontend
-Architecture: all
-Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php5 | php5-cgi | libapache2-mod-php5, rrdtool, debconf (>= 0.5), libgd2-noxpm | libgd2-xpm
-Recommends: gmetad, php5-gd
-Description: cluster monitoring toolkit - web front-end
- Ganglia is a scalable, real-time cluster monitoring environment
- that collects cluster statistics in an open and well-defined XML
- format.
- .
- This package contains the PHP-based web front-end, which displays
- information gathered by 'gmetad'.
