=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 endif
 
 
+autoreconf:
+	autoreconf --force --install
+	cd libmetrics && autoreconf --force --install
+
 config.status: configure
 	dh_testdir
 	# Just in case, make sure changelog exists
@@ -29,7 +33,7 @@
 	# Intermittent errors about missing Tpo files appear during
 	# the build, many people have suggested running autoreconf
 	# before a build can avert that:
-	autoreconf --install && (cd libmetrics && autoreconf --install)
+	dh_autoreconf debian/rules -- autoreconf
 	#chmod +x configure libmetrics/configure
 	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
@@ -38,7 +42,6 @@
 		--infodir=\$${prefix}/share/info --enable-shared \
 		--with-gmetad
 build: build-stamp
-	make -C web
 
 build-stamp:  config.status
 	dh_testdir
@@ -60,11 +63,9 @@
 #	-rm -f dotconf-1.0.9/conftest
 	-rm -f libtool.old \
 		ganglia-config contrib/ganglia_gmond.xml gmetad/gmetad.conf \
-		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo \
-		web/conf.php
-	-rm -rf debian/patches/ .pc/
-	debconf-updatepo
-	dh_autotools-dev_restoreconfig
+		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo
+	#debconf-updatepo
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -92,14 +93,6 @@
 		debian/ganglia-monitor-python/etc/ganglia/conf.d/
 	cp gmond/python_modules/*/*.py \
 		debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
-
-#Install webfrontend
-	$(MAKE) -C web install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend/usr/share/ganglia-webfrontend  GWEB_STATEDIR=$(CURDIR)/debian/ganglia-webfrontend/var/lib
-	mkdir -p debian/ganglia-webfrontend/etc/apache2/conf.d/
-	cp -f web/debian/apache.conf \
-		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
-	cp -f web/debian/conf_debian.php \
-		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -137,7 +130,7 @@
 	dh_installman -plibganglia1-dev
 	dh_installman -pgmetad
 	dh_installinfo -s
-	dh_installchangelogs
+	dh_installchangelogs -s
 	dh_link -s
 	dh_strip -s
 	dh_compress -s
