=== debian/tests/control ===
Tests: gmond gmetad
Depends: netcat, @
