=== debian/watch ===
version=3
http://sf.net/ganglia/ganglia-(\d.+)\.tar\.gz
